#ifndef _MAIN_H
#define _MAIN_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>

#define MAX_PAGES 1024
#define DEFAULT_MAX_ITEMS 4096

#ifndef DIR_SEP
#define DIR_SEP "/"
#endif

enum
{
	VERBOSE_FLAG	= (1 << 0),
	QUIET_FLAG	= (1 << 1),
	FETCH_FLAG	= (1 << 2),
	NOTITLE_FLAG	= (1 << 3)
} prog_flags;

void help (FILE *out);
void version (FILE *out);

int intcmp (const void *x, const void *y);

int parse_pages (const char *pagespec, unsigned int pagebuffer[], unsigned int flags);

#endif
